<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title> Software Engineering Code of Ethics</title>
</head>
<body>
	<header><em>Science and Engineering Ethics (2001) 7, 231-238</em></header>
	<hr>
	<h2>Software Enginerring Code of Ethics and Professional Practice</h2>

	<h4>IEE-CS/ACM Joint Task Force of Software Engineering Ethics and Professional Practices</h4>
	<hr>

	<p><strong>Keywords</strong>: code of ethics, professional responsiblitiy, software engineering</p>

	<h3>Preamble</h3>

	<p>The short version of the code summarizes aspirations at a high level of abtraction. The clauses that are included in the full version give examples and details of how these aspirations change the wa we act as software engineering professionals. Without the aspirations, the details can be legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles: </p>

	<h3>Principles:</h3>
		<ol>
			<li><em>Public.</em> Software engineers shall act consistenly with the public interest.</li>
			<li><em>Client and Employer.</em> Software engineers shall act in a manner that is in the best interest of thier client and employer consistent withn the public interest.</li>
			<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional judgment.</li>
			<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
			<li><em>Management.Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</em></li>
			<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li><em>Colleages.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the profession.</li>
		</ol>
</body>
</html>